library IEEE;
use IEEE.std_logic_1164.all;

architecture clkUnit_arch of clkUnit is

    begin
    
    enableRX <= '0' when reset = '0' else clk;
    
    process(clk, reset)
    
    variable cpt : integer range 0 to 16;
    
    begin
        if(reset = '0') then
            enableTX <= '0';
            cpt := 0;
        elsif (clk = '1' and clk'event) then
            cpt := cpt + 1 ;
            if(cpt = 16) then
                enableTX <= '1' ;
                cpt := 0;
            else
                enableTX <= '0' ;
            end if;
        end if;
    end process;

end clkUnit_arch;
